> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update current workspace

> Update the current workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /workspaceManagement/workspaces/current
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/workspaces/current:
    put:
      tags:
        - Workspace Management - Workspaces
      summary: Update current workspace
      description: Update the current workspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                syncs:
                  type: array
                  items:
                    type: object
                    properties:
                      domain:
                        type: string
                        enum:
                          - revenueOrganization
                          - storage
                          - systemOfRecordIntegration
                          - ai
                      cron:
                        type: string
                    required:
                      - domain
                      - cron
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  pattern: ^[^<>]*$
                allowedEmailDomains:
                  type: array
                  items:
                    type: string
                logoBase64:
                  anyOf:
                    - type: string
                    - type: 'null'
                metadata:
                  type: object
                  properties:
                    mainGoal:
                      type: array
                      items:
                        type: string
                    salesRepCount:
                      type: string
                    gtmStackList:
                      type: array
                      items:
                        type: string
                    referralSource:
                      type: array
                      items:
                        type: string
                chromeExtensionMasterAgentUuid:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
                chromeExtensionAvailableAgentUuids:
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: 'null'
                defaultRoleUuid:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
                allowedLoginProviders:
                  anyOf:
                    - type: array
                      items:
                        type: string
                        enum:
                          - email
                          - google-oauth2
                          - azuread
                          - okta
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspace:
                    type: object
                    properties:
                      uuid:
                        type: string
                      name:
                        type: string
                      allowedEmailDomains:
                        type: array
                        items:
                          type: string
                      temporalNamespace:
                        type: string
                      temporalTaskQueuePrefix:
                        anyOf:
                          - type: string
                          - type: 'null'
                      openAiVectorStoreId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      syncs:
                        type: array
                        items:
                          type: object
                          properties:
                            domain:
                              type: string
                              enum:
                                - connection
                                - orchestration
                                - revenueOrganization
                                - storage
                                - systemOfRecordIntegration
                                - ai
                            temporalScheduleWorkflowId:
                              type: string
                            cron:
                              type: string
                          required:
                            - domain
                            - temporalScheduleWorkflowId
                            - cron
                          additionalProperties: false
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      logoUrl:
                        anyOf:
                          - type: string
                          - type: 'null'
                      metadata:
                        anyOf:
                          - type: object
                            properties:
                              mainGoal:
                                type: array
                                items:
                                  type: string
                              salesRepCount:
                                type: string
                              gtmStackList:
                                type: array
                                items:
                                  type: string
                              referralSource:
                                type: array
                                items:
                                  type: string
                            additionalProperties: false
                          - type: 'null'
                      chromeExtensionMasterAgentUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      chromeExtensionAvailableAgentUuids:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      defaultRoleUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      allowedLoginProviders:
                        anyOf:
                          - type: array
                            items:
                              type: string
                              enum:
                                - email
                                - google-oauth2
                                - azuread
                                - okta
                          - type: 'null'
                      ssoIdentifier:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - name
                      - allowedEmailDomains
                      - temporalNamespace
                      - temporalTaskQueuePrefix
                      - openAiVectorStoreId
                      - syncs
                      - createdAt
                      - updatedAt
                      - logoUrl
                      - metadata
                      - chromeExtensionMasterAgentUuid
                      - chromeExtensionAvailableAgentUuids
                      - defaultRoleUuid
                      - allowedLoginProviders
                      - ssoIdentifier
                    additionalProperties: false
                required:
                  - workspace
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````